Bug 976994 - some webpages are not open in the web browsers in fedora
some webpages are not open in the web browsers in fedora
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mozilla-noscript (Show other bugs)
18
i686 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 05:50 EDT by udayatom
Modified: 2014-01-24 06:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 06:10:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udayatom 2013-06-22 05:50:56 EDT
certain websites not open in fedora 18, using the browser 


fedora 18


when i am enter the website name in the url, that corresponding page not open, i checked at mozila firefox, chrome(latest versions both)

Result:

        The page still loads
Comment 1 Martin Stransky 2013-06-24 07:36:58 EDT
Can you point us to the affected web pages? Can you also please test the steps from https://fedoraproject.org/wiki/How_to_debug_Firefox_problems ?

Thanks.
Comment 2 Štefan Gurský 2013-06-30 18:11:07 EDT
I found something that looks a little like described behavior, but it seems to be problem with mozilla-noscript package (or maybe problem at the other end), so it might be something different.

With noscript from mozilla-noscript package installed (with completely new firefox profile – I removed ~/.mozilla), going to https://duckduckgo.com/?q=fedora+! does nothing (does not leave previously loaded page).

When one tries to wget that page, one gets HTTP/1.1 301 Moved Permanently and Location: http://duckduckgo.com/l/?kh=-1&uddg=https%3A%2F%2Ffedoraproject.org%2F for reply.

That (http://duckduckgo.com/l/?kh=-1&uddg=https%3A%2F%2Ffedoraproject.org%2F) is a webpage that has nothing except forwarding script (which noscript should block) and <noscript> with meta refresh (which noscript might block, but one would expect at least blank page loaded).
 
However, putting this address (that long one) to firefox addressbar works as expected (it forwards to Fedora webpage).
Comment 3 Martin Stransky 2013-07-26 04:16:21 EDT
Okay, moving to noscript package.
Comment 4 Thomas Spura 2013-07-26 05:59:29 EDT
Hmm, it works fine for me here with the first link from above:
https://duckduckgo.com/?q=fedora+!

# rpm -q mozilla-noscript firefox xulrunner
mozilla-noscript-2.6.4.1-2.fc19.noarch
firefox-22.0-1.fc19.x86_64
xulrunner-22.0-4.fc19.x86_64

Which version of mozilla-noscript/firefox do you have on fc19?
It should be the same version of mozilla-noscript at least....
Comment 5 Fedora End Of Life 2013-12-21 09:06:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Thomas Spura 2014-01-24 06:10:24 EST
Thank you for your bug report. 

We are sorry, but the Fedora Project is no longer releasing bug fixes or any other updates for this version of Fedora. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora, which is available from: 

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.